Page MenuHomePhabricator

[libunwind] Fix linker flag handling in the tests.
ClosedPublic

Authored by danielkiss on Oct 26 2020, 5:39 PM.

Details

Reviewers
ldionne
Group Reviewers
Restricted Project
Commits
rG05598e3d3047: [libunwind] Fix linker flag handling in the tests.
Summary

--export-dynamic is not always available on all targets.
-funwind-tables was a duplicate in the lit.site.cfg.in.

Diff Detail

Event Timeline

danielkiss requested review of this revision.Oct 26 2020, 5:39 PM
danielkiss created this revision.

self.cxx has a function to test compiler flags addFlagIfSupported but there is no support for linker flag (yet).

ldionne accepted this revision.Oct 28 2020, 12:43 PM
This revision is now accepted and ready to land.Oct 28 2020, 12:43 PM
This revision was automatically updated to reflect the committed changes.
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptOct 29 2020, 6:02 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
arichardson added inline comments.
libunwind/test/libunwind/test/config.py
47

This also works on most other operating systems that use ld.lld/ld.bfd (e.g. FreeBSD). Maybe it should be 'darwin' not in self.config.target_triple?

danielkiss added inline comments.Apr 12 2021, 9:06 AM
libunwind/test/libunwind/test/config.py
47

Make sense to me, hopefully we have enough bots to tests all.